Fallout 4
0 of 0

File information

Last updated

Original upload

Created by

F4SE Team

Uploaded by

ianpatt

Virus scan

Safe to use

3909 comments

  1. ianpatt
    ianpatt
    • premium
    • 1,721 kudos
    Locked
    Sticky
    The 2024-04-25 Fallout 4 update (1.10.980 and later) has broken F4SE and the rest of the native code modding scene similarly to Skyrim's "Anniversary Edition" patch. An update is available, but I'm sure it can use more testing. Do not email with questions about progress.

    Thank you for all of the support! I assume people would rather have me working on the update than making individual responses, but in general thanks for the nice words and support.

    2024-04-27: The first step of the update process is done, doing a first pass at updating all of the addresses for the new version of the game. Another long step begins now, validating the addresses and seeing if there were any structure layout changes. This would not benefit from external testing.
    2024-04-28: Building regression tests for games on this engine is painful. To progress on something else that needs work before release, I'm porting over the plugin manager changes and loader changes from SKSE64 and SFSE. This modernizes plugin version detection, and minimizes the virus scanner false positive issues by using a single loader executable that doesn't need to change with each version.
    2024-04-29: Secondary preloaders and f4se_steam_loader.dll are no longer needed. Plugins now use the declarative version system from SKSE64/SFSE. Plugin manager is back up and running. Struct comparison between the two versions continues, but I haven't found anything interesting that changed so far. If the next session (not necessarily tomorrow) keeps finding nothing, I'll probably put up a prerelease version to get test results.
    2024-04-30: I've put up a very early build so that mod developers can test their plugins and mods against 1.10.980. I appreciate feedback, but right now I can only realistically handle focused feedback from mod developers who know how their scripts work. Reports like "when I call GetWaterType on this specific cell with editor ID [whatever] it returns the wrong result" would be ideal, but I'll be doing investigation as needed.
    2024-05-01: Investigating feedback. 1.10.980 itself has some major stability problems that I can reproduce with just vanilla content, so there's probably (hopefully) going to be a follow-up patch soon. Updating for that will not take anywhere near as long as 1.10.980. The unstable base makes finding problems in my code more difficult than it should be.
    2024-05-02: A few fixes from mod author reports and requests. Let's see what happens if I widen the audience a bit.
    2024-05-03: Apart from the usual misdirected complaints about other people needing to update their mods (expected), things seem pretty good so far. If you can make make the game crash with a single mod, have QA-style repro steps, and the problem doesn't happen when being run without the loader, please let me know.
    2024-05-04: Fixed GetResourceLibraryProcAddress - if you are a plugin author trying to update your plugin, that plugin has additional exported addresses, and the plugin loader is doing something weird with it, this will fix the problem. Fixed SplineUtils::ConnectSpline. Most of the updates going forward are going to be very uninteresting, with me just watching the forums and other places to see if people are crashing in a way that isn't caused by the vanilla game, maybe doing small fixes like mentioned earlier. Once I find something seriously wrong or something that is impacting plugin authors then I'll put out a new version with the fixes.
    2024-05-10: Bethesda has announced a hotfix patch that will be released on the 13th. This, as is normal, will break things, but nowhere near as badly as the 1.10.980 update. I'll have an update out as soon as possible to support the patch. Hopefully some of the vanilla crashes will be fixed.
    2024-05-13: Hotfix released, should have an update after lunch. Seems stable aside from some plugins with bad version data. I am contacting the authors where possible.
    2024-05-20: Currently it doesn't appear that any updates to F4SE are needed. Still observing plugin stability.


    All native code plugins (.dlls) need to be updated by their creators for 1.10.980. Old native code plugins not loading is not a problem with F4SE. The Starfield loader has given Windows Defender problems in the past. This is a false positive.

    The MCM beta 1.40 has incorrect version data and crashes on startup with 1.10.984. An update is available.
    Better Console also has bad version data and crashes on startup with 1.10.984.
  2. Destructionares
    Destructionares
    • supporter
    • 75 kudos
    Locked
    Sticky
    Alright everyone I have figured out how to downgrade everything to the previous version.

    Firstly, you'll need this guide.

    https://framedsc.com/GeneralGuides/steam_update_guide.htm

    Follow it cause you need to learn how to download the repositories and how to open the steam console. Once you got that down you have to download these and install them in order replacer EVERYTHING whenever it is needed.

    download_depot 377160 377162 5847529232406005096
    download_depot 377160 377161 7497069378349273908
    download_depot 377160 377163 5819088023757897745
    download_depot 377160 377164 2178106366609958945
    download_depot 377160 435870 1691678129192680960
    download_depot 377160 435871 5106118861901111234
    download_depot 377160 435880 1255562923187931216

    (Keep in mind that you are re-downloading the game from what has been saved in STEAMDB, do it one by one, don't hog your download speed by trying to do it all at once. File size should be about 22-ish GBs once you have everything. Once again FOLLOW the guide so you know where the repos will be downloaded and where / how you'll want to move them around.)

    Once that is done you have to delete most new files from the creation club that will be in your DATA, these are the culprits that will cause your game to crash since Bethesda updated them in masse I can't be sure which one is safe to keep and which one isn't, so for now it is best to put them in a Back Up folder. Now, anything that has "ccBG" at the beginning of its name in the DATA folder should be safe to remove, that is the code they give to creation club content, however, if you use mods, you probably already know that these are not very much compatible with anything extra from nexus you add to the game.

    Once you have all that done REMEMBER to play the game in offline mode / to shut off wi-fi on your steam deck (as is my case) or to delete any manifesto that will force the game to update, cause it will break everything again. Once you have everything I stated done you can probably re-install the current (non-updated) version of the Script Extender and start playing. I've not encountered any crashes or data corruptions. Save games seem clean enough that I have no missing ESP / ESL / Meshes / Textures. If anything goes wrong or you don't feel confident enough that this won't screw your fallout 4 install folder then don't try it. For MO2 this should be safe enough since mods are kept separately from the game elsewhere.

    @ianpatt if you could pin this so people know not to bother you it would be great.
    1. Luciano00125
      Luciano00125
      • member
      • 6 kudos
      For Spanish:
      download_depot 377160 377161 7497069378349273908
      download_depot 377160 377162 5847529232406005096
      download_depot 377160 377163 5819088023757897745
      download_depot 377160 377168 7717372852115364102
      download_depot 377160 435870 1691678129192680960
      download_depot 377160 435875 2953236065717816833
      download_depot 377160 435880 1255562923187931216
    2. Luciano00125
      Luciano00125
      • member
      • 6 kudos
      Pra portugues:
      download_depot 377160 377161 7497069378349273908
      download_depot 377160 377162 5847529232406005096
      download_depot 377160 377163 5819088023757897745
      download_depot 377160 393882 7540680803954664080
      download_depot 377160 435870 1691678129192680960
      download_depot 377160 435878 8276750634369029613
      download_depot 377160 435880 1255562923187931216
    3. MatthewEversman
      MatthewEversman
      • member
      • 4 kudos
      For french people :
      download_depot 377160 377162 5847529232406005096
      download_depot 377160 377161 7497069378349273908
      download_depot 377160 377163 5819088023757897745
      download_depot 377160 377165 7549549550652702123
      download_depot 377160 435870 1691678129192680960
      download_depot 377160 435872 5590419866095647350
      download_depot 377160 435880 1255562923187931216
    4. Luciano00125
      Luciano00125
      • member
      • 6 kudos
      Se tiver dando algum problema tenta baixar e colocar só esses:
      download_depot 377160 377161 7497069378349273908
      download_depot 377160 377162 5847529232406005096
      download_depot 377160 377163 5819088023757897745
      download_depot 377160 393882 7540680803954664080
      download_depot 377160 435870 1691678129192680960
      download_depot 377160 435878 8276750634369029613
      download_depot 377160 435880 1255562923187931216
    5. Luciano00125
      Luciano00125
      • member
      • 6 kudos
      Pra portugues tem que baixar esses:

      download_depot 377160 377161 7497069378349273908
      download_depot 377160 377162 5847529232406005096
      download_depot 377160 377163 5819088023757897745
      download_depot 377160 393882 7540680803954664080
      download_depot 377160 435870 1691678129192680960
      download_depot 377160 435878 8276750634369029613
      download_depot 377160 435880 1255562923187931216
    6. Rychter
      Rychter
      • premium
      • 7 kudos
      This is all the English IDs
      download_depot 377160 377162 5847529232406005096
      download_depot 377160 377161 7497069378349273908
      download_depot 377160 377163 5819088023757897745
      download_depot 377160 377164 2178106366609958945
      download_depot 377160 435870 1691678129192680960
      download_depot 377160 435871 5106118861901111234
      download_depot 377160 435880 1255562923187931216
      download_depot 377160 435882 8482181819175811242
      download_depot 377160 480631 6588493486198824788
      download_depot 377160 393885 5000262035721758737
      download_depot 377160 480630 5527412439359349504
      download_depot 377160 393895 7677765994120765493
    7. shootme34
      shootme34
      • member
      • 2 kudos
      For context:

      download_depot 377160 377161 7497069378349273908 (Fallout 4 content_a)
      download_depot 377160 377162 5847529232406005096 (Fallout 4 exe)
      download_depot 377160 377163 5819088023757897745 (Fallout 4 content_b)
      download_depot 377160 377164 2178106366609958945 (Fallout 4 english)
      download_depot 377160 435870 1691678129192680960 (Fallout 4 - Automatron)
      download_depot 377160 435871 5106118861901111234 (Fallout 4 - Automatron English)
      download_depot 377160 435880 1255562923187931216 (Fallout 4 - Wasteland Workshop)

      The following were not added because there were no recent depot for it so I would assume the update didn't touch it:

      Far Harbor
      Contraptions Workshop
      Vault-tec Workshop
      Nuka-World
      Hi-res Pack
    8. ospiel
      ospiel
      • member
      • 4 kudos
      Спасибо тебе огромное, получилось откатить на предыдущую версию и все работает как часы!!!

      Для русскоговорящих ниже манифесты для загрузки:

      download_depot 377160 377161 7497069378349273908
      download_depot 377160 377162 5847529232406005096
      download_depot 377160 377163 5819088023757897745
      download_depot 377160 393881 4735225695214536532
      download_depot 377160 435870 1691678129192680960
      download_depot 377160 435877 2675794883952625475
      download_depot 377160 435880 1255562923187931216
    9. DeVviL1994
      DeVviL1994
      • supporter
      • 5 kudos
      For Russian language:

      download_depot 377160 377161 7497069378349273908
      download_depot 377160 377162 5847529232406005096
      download_depot 377160 377163 5819088023757897745
      download_depot 377160 393881 4735225695214536532
      download_depot 377160 435870 1691678129192680960
      download_depot 377160 435877 2675794883952625475
      download_depot 377160 435881 1207717296920736193
      download_depot 377160 435888 2814340383581262374
      download_depot 377160 480631 6588493486198824788
      download_depot 377160 393891 631542034352937768
      download_depot 377160 490650 4873048792354485093
      download_depot 377160 393899 1428451409051936353

      and delete all "ccBG*" files in Data folder
    10. Er1kTheRed
      Er1kTheRed
      • supporter
      • 2 kudos
      Quick note: if you're having errors when running these downloads, go into the main Steam client and clear your download cache.
    11. gldump
      gldump
      • premium
      • 2 kudos
      All depots are listed on this page : https://steamdb.info/app/377160/depots/
      Make sure you donload the version released before April 25 !
      I also believe you'll have to download your language depots in addition to the standard packages.
    12. ElementZeroS7L
      ElementZeroS7L
      • premium
      • 3 kudos
      So anyone else running into the The Procedure entry point SteamUser could not be located in the dynamic link library

      There's likely 1 of 2 issues causing this for you
      1) steam_api64.dll
      2) Your deployed mods


      Follow these steps:
      1) Open your Mod Manager and Purge your mods (don't worry this doesn't delete all the mods you downloaded)
           -- Also, if you used Vortex or MO2 to install F4SE (which you shouldn't) disable it in your mod manager!!!
           -- Also, if you installed the unofficial FO4 Patch manually, you're gonna need to uninstall that as well
      2) Go to your Fallout 4 install directory and make sure all the F4SE files are gone, don't forget the stuff in the \Data folder and \Data\F4SE
           --Also, go in to your DATA directory and look for any files that start with ccBG and DELETE those files if you haven't already
      Alternatively, you can make a Backup folder and copypasta them there and then delete, your choice

      3) MANUALLY install F4SE
      4) Run the game from your mod manager or from the f4se launcher, your choice.
            -- Make sure that you can load your save, it's gonna whine at you about the missing mods, fo'getaboutit

      If you can start the game and load your save, even with the bitching, ALT F4
      5) Now you can go back in your mod manager and REDEPLOY your mods

      If it's still not working, you're going to need a clean copy of the steam_api64.dll from 04/16/2024
      Don't ask me where to get one
      Copy in the steam_api64.dll in to the ROOT of your Fallout 4 installation before continuing with steps 3 and on above

      If this still didn't work for you, well, there may be no hope for you until F4SE gets updated...
  3. DSkycroft
    DSkycroft
    • member
    • 0 kudos
    Followed all instructions,tried manual and through Vortex,and nothing I do has fixed launching the game through f4se causing it to just launch as an endless black screen. Anyone have any ideas what could be causing this? 
    1. jknoff
      jknoff
      • supporter
      • 1 kudos
      My guess would be a mod not F4SE
    2. DSkycroft
      DSkycroft
      • member
      • 0 kudos
      Only mod installed is f4se
    3. jknoff
      jknoff
      • supporter
      • 1 kudos
      That should have zero impact.  Try launching without F4SE, just launch it vanilla? 

      Do you have the game through steam?  
    4. DSkycroft
      DSkycroft
      • member
      • 0 kudos
      Yeah,I have it on Steam. I'm using a steam deck with Windows installed,replacing SteamOS. It launches perfectly fine Vanilla. I've tried running as Administrator as well. I have the launcher showing up in vanilla launch,but it doesn't show the Weapon Debris option so i can't disable that,and downloading the fix for that setting didn't help either. No idea what to do.
  4. yaNasTy
    yaNasTy
    • premium
    • 2 kudos
    followed but not working F4SE still wants to be updated

  5. Aaronwu22
    Aaronwu22
    • member
    • 0 kudos
    Does anyone know what cause this  i Launched FO4 it keeps on crashing 
  6. Aarganx
    Aarganx
    • member
    • 0 kudos
        
    I have this problem with my fallout when I try to open the f4se loader I get this error, could you please help me?
  7. wuffstuff101
    wuffstuff101
    • premium
    • 0 kudos
    I've downloaded this new file multiple times but whenever I run it says its a no go and is running version 0.63 and that its not up to date with the latest version of the game. Wtf?
  8. Lormaximo56
    Lormaximo56
    • member
    • 0 kudos
    Are there plans to release a version for Epic or will it ever be done?
    1. ianpatt
      ianpatt
      • premium
      • 1,721 kudos
      No plans, not happening.
  9. hxrry31
    hxrry31
    • member
    • 0 kudos
    Anyone got a decent fix for the high FPS bug while using F4SE? I've had troubles with it in the past but it usually fixes itself after re-launching the game. For some reason today it decided that it would sit at 300+fps from launch. I tried re-booting the game several times but that didn't work. I also tried installing the "High FPS Physics Fix" but that just made my game stuttery with inconsistent frames, basically unplayable.

    I suspect it has something to do with me updating my graphics driver through AMD software... but I'm not tech-savvy enough to troubleshoot it myself. Any help would be much appreciated. 

    FOUND FIX: AMD decided to change some of my settings after updating. I simply disabled "AMD Free-Sync" and "Radeon Enhanced sync" in AMD software. Another software that adds unnecessary buffs!
  10. Locus1124
    Locus1124
    • premium
    • 0 kudos
    HI, I've attempted to roll back the game version to pre-next-gen update (both of them) and I'm getting a very curious error code: It reads 

    "f4se-custom-camera.dll
    REL/IDDB.h(42): id not found"

    Any help in figuring out this greivous error would be greatly appreciated :D
  11. ZigmondWarden
    ZigmondWarden
    • premium
    • 0 kudos
    so silverlock.org is no long a valid version?
    reason i ask is that there are modders whom reference that as the official script extender and have stated they are waiting for that version to be updated.
    1. jknoff
      jknoff
      • supporter
      • 1 kudos
      silverlock.org also has a distinct message to the NEXUS for the latest up to date status of F4SE
    2. ZigmondWarden
      ZigmondWarden
      • premium
      • 0 kudos
      I do hope they read that message!!!


      LOL
  12. thegrgonzo
    thegrgonzo
    • premium
    • 36 kudos
    GetWornItem()  is currently not working.  Thanks for your work   o7